### Method

# Adw Squeezerget_pages

deprecated: 1.4

#### Declaration [src]

    GtkSelectionModel*
    adw_squeezer_get_pages (
      AdwSqueezer* self
    )

#### Description [src]

Returns a `GListModel` that contains the pages of `self`.

This can be used to keep an up-to-date view. The model also implements `GtkSelectionModel` and can be used to track the visible page.

Deprecated since: 1.4

See the migration guide

Gets property | `Adw.Squeezer:pages`

#### Return value

Type: `GtkSelectionModel`

A `GtkSelectionModel` for the squeezer’s children.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.